Bug 708379 - dmidecode does not show asset tag for Lenovo ThinkPad T410
Summary: dmidecode does not show asset tag for Lenovo ThinkPad T410
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: dmidecode
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Anton Arapov
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: GSS_6_2_PROPOSED
TreeView+ depends on / blocked
 
Reported: 2011-05-27 14:11 UTC by Matthew Mosesohn
Modified: 2014-06-18 08:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-20 12:26:36 UTC
Target Upstream Version:


Attachments (Terms of Use)
dmidecode --dump-bin output from a T410 (2.83 KB, application/octet-stream)
2011-06-27 20:55 UTC, Matthew Mosesohn
no flags Details

Description Matthew Mosesohn 2011-05-27 14:11:39 UTC
Description of problem:
Red Hat IT uses the asset tags to track our laptops for auditing purposes.  It's important to be able to read these values from the system, rather than inspecting externally.

Version-Release number of selected component (if applicable):
dmidecode-2.10-1.30.1.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Install RHEL 6.1 on a Lenovo ThinkPad T410 with a value set in the Asset Tag field in the BIOS
2. run dmidecode -s chassis-asset-tag
  
Actual results:
# dmidecode -s chassis-asset-tag
No Asset Information

Expected results:
# dmidecode -s chassis-asset-tag
RH00001444

Additional info:
This is not a problem on Lenovo T510, X201, T520, or T420 model laptops.  We are not concerned about older models than that, and we don't have access to the new X220 model yet.

Comment 2 Matthew Mosesohn 2011-05-27 15:35:23 UTC
Correction:  The asset tag displays properly on the other Lenovo ThinkPad models: T510, X201, T520, T420

Comment 3 Anton Arapov 2011-06-24 08:53:01 UTC
Matthew, could you try a newer dmidecode:
https://brewweb.devel.redhat.com/taskinfo?taskID=3426859

and attach binary dump to the bugzilla, dmidecode's --dump-bin option.

thanks,

Comment 4 Matthew Mosesohn 2011-06-27 20:55:11 UTC
Created attachment 510166 [details]
dmidecode --dump-bin output from a T410

Comment 5 Anton Arapov 2011-06-28 06:31:08 UTC
Matthew,
  there are no relevant info in the dump, so the dmidecode has no source to expose the asset tag. This can be a BIOS issue as well. Try to update the BIOS to the latest one and reproduce. I will look for T410 on my side as well.... 

thanks!

Comment 6 Matthew Mosesohn 2011-06-28 13:21:03 UTC
Anton,

I've got a system with an updated bios.  I'll get a report of it in a few hours using the new dmidecode.

Comment 7 Matthew Mosesohn 2011-07-20 12:10:24 UTC
This bug is invalid.  The systems don't have a physically coded asset tag.  There's no problems with dmidecode.  The problem lies with the vendor

Comment 8 Anton Arapov 2011-07-20 12:26:36 UTC
Cool, thanks for taking a look.


Note You need to log in before you can comment on or make changes to this bug.